[Setup] Upgrading from 4.1 to 4.1.2

deesto john.destefano at gmail.com
Wed Nov 23 15:10:27 UTC 2011


Hi Héctor,


hvelarde wrote
> 
> I prefer to specify the version number in buildout.cfg:
> 
> extends =
>      http://dist.plone.org/release/4.1.2/versions.cfg
> 
> also, run bin/buildout -v
> 
> this way you know what you are doing.
> 
> 
Thanks.  So you'd attempt to merge this cfg with your present buildout, and
do the same whenever there's a new Plone version?  Specifying so many
versions of separate software components seems to introduce many new
possible points of failure: there isn't a "package" or other Plone group
that can be specified that would pull in all the necessary components for a
desired release?  Not to mention that this doesn't seem like a user-friendly
way of upgrading: certainly Richard is having a problem, if not other users.

Regardless, it remains that this doesn't seem to be a well-documented
upgrade process.

Thanks,
~John


--
View this message in context: http://plone.293351.n2.nabble.com/Upgrading-from-4-1-to-4-1-2-tp6988076p7024667.html
Sent from the Installation, Setup, Upgrades mailing list archive at Nabble.com.


More information about the Setup mailing list